
<h3>All registered users with log history:</h3>
<table class="table-bordered">
    <tr style="padding: 5px;">
        <td>Username</td>
        <td>First Name</td>
        <td>Last Name</td>
        <td>Role</td>
        <td>Audits </td>
    </tr>
    <tr *ngFor="let user of users| paginate:{itemsPerPage: 5, currentPage:p}">
        <td>{{user.username}}</td>
        <td>{{user.firstName}}</td>
        <td>{{user.lastName}}</td>
        <td>{{user.role}}</td>
        <td>
            <table *ngIf="user.logs.length > 0" class="table">
                <tr>
                    <td>Login Time</td>
                    <td>Logout Time</td>
                </tr>
               
                <tr *ngFor="let logs of user.logs">
                    <td>{{logs.loginTime}}</td>
                    <td>{{logs.logoutTime}}</td>
                </tr>
            </table>
            <span *ngIf="user.logs.length == 0">-----</span>

        </td>
        
    </tr>
</table>
<pagination-controls (pageChange)="p=$event"></pagination-controls>